Subject: bug#12875: emacsclient fails with latest trunk

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Tue, 13 Nov 2012 14:46:16 +0530

emacsclient -c -a "" now fails for me with the latest trunk. Debugging
tells me that the server directory is now created with unsafe mode

the /tmp/emacs1000 directory is getting created with 755 mode and
server-start complains 

server-ensure-safe-dir: The directory `/tmp/emacs1000' is unsafe

You can reproduce with emacs -Q and then running server-start

-aneesh